package cn.teammodel.model.dto.admin;

import cn.teammodel.common.PageableRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author winter
 * @create 2023-12-06 19:03
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class TimeRangeDto extends PageableRequest {
    private Long startTime;
    private Long endTime;
    @NotNull
    // todo: 似乎不需要(如果不传时间那就需要)
    private String academicYearId;
}
